Skip to content
Start here

Delete saved string queries by ID

client.brandProtection.queries.delete(QueryDeleteParams { account_id, id, scan, tag } params, RequestOptionsoptions?): void
DELETE/accounts/{account_id}/brand-protection/queries

Return a success message after deleting saved string queries by ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
params: QueryDeleteParams { account_id, id, scan, tag }
account_id: string

Path param

minLength1
id?: string

Query param

scan?: boolean

Query param

tag?: string

Query param

Delete saved string queries by ID

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.brandProtection.queries.delete({ account_id: 'x' });
Returns Examples